:root{
    --softblue: hsl(231, 69%, 60%);
    --softred: hsl(0, 94%, 66%);
    --bluegray: hsl(229, 8%, 60%);
    --darkblue: hsl(229, 31%, 21%);
    --verylightgray: rgb(240, 240, 240);
    --lightbluegray: hsl(229, 29%, 85%);
}


body {
    font-family: 'Rubik', sans-serif;
    font-size: 18px;
}

.smaller-text {
    font-size: 16px;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

/*MARGES*/
/*toutes les autres marges sont faites avec bootstrap*/

section {
    margin-top: 120px;
}

.big-margin {
    width: 100%;
    max-width: 600px;
}


/*COULEURS DES ÉLÉMENTS TEXTUELS : TITRES & PARAGRAPHES*/

p.text-bluegray {
    color: var(--bluegray);
}

.text-darkblue {
    color: var(--darkblue);
}


/*background des footers*/

footer {
    background: var(--darkblue);
}

#big-footer {
    background-color: var(--softblue);
}

/* STYLE DES LIENS & BOUTONS */


/*couleurs*/

.btn-softblue {
    color: white;
    background-color:  var(--softblue);
    border: 2px solid var(--softblue);
}

.btn-softblue:hover {
    background-color: white;
    color: var(--softblue);
}

.btn-darkblue {
    background-color: var(--verylightgray);
    color: var(--darkblue);
    border: 2px solid var(--verylightgray);
}

.btn-darkblue:hover {
    background-color: var(--lightbluegray);
    color: var(--darkblue);
    border-color:  var(--darkblue);
}

.btn-softred {
    background-color:  var(--softred);
    border: 2px solid var(--softred);
    color: white;
}

.btn-softred:hover {
    background-color: white;
    color: var(--softred);
    border-color: var(--softred);
}

a:hover, .btn-link:hover {
    color: var(--softred);
}

.footer-nav-link:hover {
    color: var(--softred);
}

a:hover .icon-path {
    fill: var(--softred);
}

/*style des liens & boutons*/

a:hover, 
.btn-link:hover,
.btn-link:focus  {
    text-decoration: none;
}

.btn:focus {
    box-shadow: none;
}

.btn {
    font-size: 14px;
    font-weight: 500;
}

.accordion-button.btn {
    font-size: 18px;
    font-weight: 400;
} 


.tab-nav-link {
    font-size: 17px;
    max-width: 200px;
}

.tab-nav-link.active {
    border-bottom: 3px solid var(--softred);
    font-weight: 500;
}

.nav-link:focus,
.logo-link,
.icon-link,
.footer-nav-link:hover {
    outline: none;
}

.navbar-nav-link {
    font-size: 12px;
    letter-spacing: 3px;
    border: 2px solid transparent;
}

.footer-nav-link {
    font-size: 12px;
    letter-spacing: 3px;
    color: white;
}

/* BARRE DE NAVIGATION MODAL*/

.modal {
    background-color: var(--darkblue);
    opacity: .9;
    font-size: 20px;
    letter-spacing: 3px;
}

.modal-content {
    background-color: transparent;
    border: none;
    outline: none; 
    box-shadow: none;
}

.nav-mobile li {
    list-style-type: none;
    border-bottom: 1px solid rgba(255,255,255,.3);
}

.mobile-nav-link {
    color: white;
}

.mobile-nav-login {
    color: white;
    font-weight: 500;
    border: 2px solid white;
    border-radius: 5px;
}

.mobile-nav-login:hover {
    border-color: var(--softred);
    background-color: var(--softred);
    color: var(--darkblue)
}

/*SECTIONS 1 & 2*/
/*formes bleues en bg*/

.blue-shape-right:before {
    content: '';
    display: block;
    background-color: var(--softblue);
    width: 100%;
    height: 80%;
    border-top-left-radius: 180px;
    border-bottom-left-radius: 180px;
    position: absolute;
    top: 25%;
    left: 25%;
    z-index: -1;
}

.blue-shape-left:before {
    content: '';
    display: block;
    background-color: var(--softblue);
    width: 120%;
    height: 100%;
    border-top-right-radius: 180px;
    border-bottom-right-radius: 180px;
    position: absolute;
    top: 25%;
    right: 20%;
    z-index: -1;
}

/*section 2 : bouton qui disparait dans la version xs*/

@media (max-width: 500px) {
    .btn-hide-xs {
        display: none;
    }
}

/*SECTION 3 : DOWNLOAD*/

.section3-row {
    min-height: 500px;
}

.download-card {
    border-radius: 15px;
    max-width: 300px;
}


/*SECTION 4 : FAQ*/
/*animation changement de couleur & sens de la flèche*/
.accordion-button svg {
    transform: rotate(-180deg);
    transition: .4s;
}

.accordion-button.collapsed svg {
    transform: rotate(0deg);
    transition: .4s;
}

.arrow-path {
    stroke: var(--softred);
    transition: .4s;
}

.accordion-button.collapsed svg .arrow-path {
    stroke: var(--softblue);
    transition: .4s;
}

/*STYLE DU GROS PIED DE PAGE : STAY UP-TO-DATE*/

.already-joined {
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 4px;
}

/*formulaire de contact*/
.contact-form {
    width: 400px;
    max-width: 100%;
}

.form-control {
    width: 100%;
    border: 2px solid white;
}

.form-control:focus {
    box-shadow: none;
    outline: none;
    border-color: var(--bluegray);
    background-color: var(--verylightgray);
} 

.was-validated .form-control:invalid {
    border-color: var(--softred);
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    background-image: url(../images/icon-error.svg);
}

.was-validated .form-control:valid:focus,
.was-validated .form-control:invalid:focus {
    box-shadow: none;
    outline: none;
}

.invalid-tooltip {
    width: 100%;
    margin-top: 0;
    font-size: 12px;
    font-style: italic;
    color: white;
    background: var(--softred);
    text-align: left;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.contact-us-btn {
    width: 100%;
}
